#
# spec file for package blocxx (Version 1.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           blocxx
BuildRequires:  gcc-c++ pcre-devel suse-macros
%define blocxx_version 1.0.0
Version:        1.0.0
Release:        17.2
License:        Other License(s), see package, BSD
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Summary:        BloCXX--C++ Framework for Application Development
URL:            http://forge.novell.com/modules/xfmod/project/?blocxx
Source0:        http://forgeftp.novell.com/blocxx/source/releases/blocxx-%{blocxx_version}.tar.bz2
#Patch0:        %{name}-%{version}.dif
Patch1:         blocxx-testsuite01.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BloCXX is a general C++ framework for application development. This
package contains the BloCXX library.



Authors:
--------
    Bart Whiteley
    Dan Nuffer
    Guido Draheim
    Jon Carey
    Lars Brinkhoff
    Marius Tomaschewski
    Norm Paxton
    Peter Dimov
    and others

%package devel
Summary:        BloCXX - Include Files and Libraries
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libstdc++-devel pcre-devel

%description devel
BloCXX is a general C++ framework for application development.

This package contains include files and libraries required for
development.



Authors:
--------
    Bart Whiteley
    Dan Nuffer
    Guido Draheim
    Jon Carey
    Lars Brinkhoff
    Marius Tomaschewski
    Norm Paxton
    Peter Dimov
    and others

%prep
%setup -q -n blocxx-%{blocxx_version}
#%patch0 -p0
%patch1 -p0
if test -f ./cvsbootstrap.sh ; then
	./cvsbootstrap.sh
else
	: #%{?suse_update_config:%{suse_update_config}}
fi

%build
%if %{?_with_debug:1}%{!?_with_debug:0}
#
# build a special debug version
#
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --disable-ssl \
	%ifarch %ix86
	--enable-valgrind-support \
	%endif
	--enable-stack-trace \
	--enable-debug-mode
%else
#
# build normal version
#
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --disable-ssl
%endif
make %_smp_mflags
make check %_smp_mflags

%install
export RPM_BUILD_ROOT
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%post
/sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/libblocxx.so.*
%doc LICENSE
%doc AUTHORS
%doc ChangeLog

%files devel
%defattr(-,root,root)
%_includedir/blocxx
%_libdir/libblocxx.a
%_libdir/libblocxx.so
%_libdir/pkgconfig/blocxx.pc
%_datadir/aclocal/blocxx.m4

%changelog -n blocxx
* Tue Apr 11 2006 - cthiel@suse.de
- Reduce BuildRequires
* Mon Mar 27 2006 - mt@suse.de
- Fix/Workaround in RWLocker testcase: hold the lock longer
  and get another thread a chance to run into the exception
- Fix/Workaround in IPCMutex testcase: sync the client start
  and let the other process more time to set its own lock
- New patch file: blocxx-testsuite01.dif
* Fri Mar 17 2006 - mt@suse.de
- Readded run_ldconfig macro run in post, unintentionally
  removed while blocxx-doc split
* Mon Mar 13 2006 - mt@suse.de
- Moved blocxx-doc subpackage into a separate noarch package
* Fri Feb 10 2006 - mt@suse.de
- Fix for String::indexOf() - a int variable was used instead of
  size_t, that may cause a potential overflow.
- Resource leak in Mutex implementations: the pthread_mutexattr_t
  variable was not destroyed after it is not needed any more.
- Fix for COWReferenceBase/COWReference -- if somebody used the
  COWReference::cast_to() function, compilation fails because
  of missed implementation of useRefCountOf function.
- Fix for COWReference::cast_to() to not to increment ref counter.
- Added String::String(const std::string &str) constructor.
- Removed blocxx::off_t from blocxx/Types.hpp
- Minor portability fixes to build on Mac OS X.
- Makefile.am fixes causing failures on "make distcheck"
- Documentation and ChangeLog cleanups
- Enabled testsuite run (make check) in spec file, cleaned up
- Bug #149127, increased version number to 1.0.0
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 04 2006 - mc@suse.de
- Updated to cvs snapshot 20060104 adding fixes synced from OpenWBEM
* Wed Oct 19 2005 - mt@suse.de
- Updated to cvs snapshot 20051019 fixing the BLOCXX_THROW_ERRNO
  and BLOCXX_THROW_ERRNO_MSG macros to be useable outside of the
  blocxx namespace as well.
* Mon Oct 10 2005 - mt@suse.de
- Updated to cvs snapshot 20051010 adding fixes synced from OpenWBEM,
  like avoiding to escape of an exec exception from initRandomnes()
  in CryptographicRandomNumber, fixes/improvements to event handling
  in Select functions, missed initialization in DateTime::set().
* Fri Aug 12 2005 - mt@suse.de
- Updated to cvs snapshot 20050812 fixing handling of quoted
  capture references in Perl/PosixRegEx replace() methods
* Wed Aug 10 2005 - mt@suse.de
- Updated to cvs snapshot 20050810 adding identity and facility
  arguments to the SyslogAppender.
* Mon Jul 25 2005 - mt@suse.de
- Updated to cvs snapshot 20050725 improving large file support.
* Thu Jul 21 2005 - mt@suse.de
- Updated to cvs snapshot 20050721 enabling large file support.
* Thu Jul 14 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050714 providing minor
  cleanups only
* Mon Jul 11 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050711 providing blocxx.pc
  pkg-config file, removeing -R flag from blocxx.m4 file
  and fixing a bug in EnvVars::getenvp()
- Added libstdc++-devel pcre-devel requirements to spec file
* Fri Jul 08 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050708 adding shared locks
  to File class, fixing Exec/EnvVars to allow to execute
  with empty environmens and other minor improvements
* Tue Jun 21 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050621;
  provides new pcre based PerlRegEx class and
  improved RegEx class renamed to PosixRegEx
* Thu Jun 16 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050616;
  improvements in RegEx class, regex examples
* Tue Jun 14 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050614;
  small enable_ssl dependency fix in configure.in
* Mon Jun 13 2005 - mt@suse.de
- Disabled SSL support, since it conflicts with SSL code in
  openwbem, e.g. if blocxx is used to implement a provider.
* Thu Jun 09 2005 - mt@suse.de
- Updated to cvs snapshot 0.9.20050609;
  contains errno fix in Select.cpp
* Fri May 20 2005 - mt@suse.de
- Updated to cvs snapshot from 20050520
* Tue May 10 2005 - uli@suse.de
- don't use dot on ARM (hangs on some source files)
* Tue Apr 26 2005 - mt@suse.de
- Updated to cvs snapshot from 20050426 including fix
  for blocxx.m4 (lib64) and obsoleting configure.in dif.
- Fixed last changelog entry (date)
* Tue Apr 26 2005 - mt@suse.de
- Updated to cvs snapshot from 20050425
* Fri Apr 15 2005 - mt@suse.de
- Updated to cvs snapshot from 20050425
- Updated to cvs snapshot from 20050415 providing additional
  Logger interfaces and diverse error checking improvements.
- Changed to use --without-docs rpmbuild option in spec file
  to allow to skip the generation of documentation and use a
  pre-build archive instead. Default is to build documentation
  since it contains architecture/feature depending references.
* Sun Apr 10 2005 - bwhitele@suse.de
- fixed 64bit pointer issue in IPCMutexTestCases
* Thu Apr 07 2005 - mt@suse.de
- initial package checkin, cvs snapshot 20050407
